.sidebar {
    position: fixed;
    top: 0;
    left: 0;
    box-shadow: 0px 4px 20px rgba(47, 143, 232, 0.07);
    z-index: 111;
    transform: translateX(-78px) !important;
    transition: all 0.5s ease;
}

.sidebar.sidebarClose .small-logo {
    display: block;
}

.sidebar.sidebarClose .big-logo {
    display: none !important;
}

.sidebar.sidebarOpen .small-logo {
    display: none;
}

.sidebar.sidebarClose {
    width: 78px;
    transform: translateX(0px) !important;
}

.sidebar.sidebarOpen {
    width: 300px;
    transform: translateX(0px) !important;
}

.sidebar.sidebarOpen .drop_down {
    position: unset !important;
    transform: translate3d(0px, 0px, 0px) !important;
}

.drop_down {
    margin-left: -8px !important;
}

.sidebar i {
    display: block;
    width: 78px;
    text-align: center;
}

.navbar-nav .drop_icon i {
    text-align: center;
    color: #000;
    font-size: 20px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.sidebar .link_name {
    font-size: 14px;
    font-weight: 400;
    white-space: nowrap;
    text-transform: capitalize;
    color: #000;
    transition: all 0.4s ease;
}

.sidebar .drop_icon .drop_icon_main i,
.sidebar .drop_icon .drop_icon_main i::before {
    line-height: 28px;
}

.sidebar.sidebarOpen .drop_down {
    background-color: var(--first-color) !important;
    z-index: 99;
    border-radius: 0px 0px 0px 0px;
    padding: 12px;
    padding-left: 35px;
}

.sidebar.sidebarClose .drop_down {
    background-color: var(--first-color) !important;
    z-index: 99;
    border-radius: 0px 7px 7px 0px;
    padding: 12px;
    padding-left: 12px;
    max-height: 90vh;
}

.sidebar.sidebarOpen .dp-title {
    display: none;
}

.sidebar.sidebarClose .dp-title {
    display: block;
}

.navbar .drop_icon:hover,
.navbar .drop_icon:focus {
    background: linear-gradient(90deg, rgba(172, 169, 255, 0.6), rgba(172, 169, 255, 0.37) 91.25%);
}

.sidebar .drop_down .dropdown-item {
    color: #ffffffba;
    font-size: 14px;
    text-transform: capitalize;
    white-space: nowrap;
    transition: all 0.3s ease;
    padding: 0px;
}

.sidebar .drop_down li {
    padding: 4px 16px;
}

.submenu .submenu-dropdown {
    display: none;
}

.submenu-item {
    cursor: pointer;
}

@media (max-width:768px) {

    .sidebar {
        width: 78px;
    }

    .sidebar .link_name,
    .sidebar .arrow,
    .versions-i-2 {
        display: none;
    }

}

@media (min-width:768px) {

    .sidebar.sidebarOpen .link_name,
    .sidebar.sidebarOpen .versions-i-2,
    .sidebar.sidebarOpen .arrow {
        display: block;
    }

    .sidebar.sidebarClose .link_name,
    .sidebar.sidebarClose .versions-i-2,
    .sidebar.sidebarClose .arrow {
        display: none;
    }

    .sidebar.sidebarClose .versions-i-1 {
        display: block;
    }

    .sidebar.sidebarOpen .versions-i-1 {
        display: none;
    }

}